Bug 90994 - The accessible name of focusable widgets should not be empty and should not include roles
Summary: The accessible name of focusable widgets should not be empty and should not i...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:5.0.0
Keywords:
Depends on:
Blocks: a11y-Linux
  Show dependency treegraph
 
Reported: 2015-05-01 15:13 UTC by Joanmarie Diggs
Modified: 2016-05-02 16:31 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of Accerciser showing the accessible names of widgets in the Writer sidebar (55.77 KB, image/png)
2015-05-01 15:13 UTC, Joanmarie Diggs
Details
Screenshot of Accerciser showing widgets in the sidebar which lack names (33.28 KB, image/png)
2015-05-01 16:37 UTC, Joanmarie Diggs
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joanmarie Diggs 2015-05-01 15:13:09 UTC
Created attachment 115239 [details]
Screenshot of Accerciser showing the accessible names of widgets in the Writer sidebar

Steps to reproduce:
1. Launch LibreOffice Writer
2. Launch Accerciser
3. Use Accerciser to examine the widgets in the sidebar

Expected results: The accessible names would be meaningful and not include roles.

Actual results: The accessible names are not always meaningful and Do include roles. Examples:

* An accessible of role panel whose name is "Panel: Character". As a result, Orca will present it as "Panel: Character panel"
* An accessible of role tool bar whose name is "Tool Bar". Telling Orca users that they are in the "Tool Bar tool bar" isn't especially useful.
* The accessible panel named "Properties" is great -- but why is it contained in another panel with the same name? The impact of this is that when the former first gets focused, the latter is presented as part of the context of the new location. "Properties panel Properties panel".

See attached screenshot.
Comment 1 Joanmarie Diggs 2015-05-01 16:37:05 UTC
Created attachment 115242 [details]
Screenshot of Accerciser showing widgets in the sidebar which lack names

This screen shot shows radio buttons and checkboxes without any accessible names. So Orca says "radio button" and "checkbox" but not what those radio buttons and checkboxes actually control/toggle. Please give them accessible names (like "gallery", without any roles in the name).
Comment 2 Niklas Johansson 2015-05-05 17:57:03 UTC
I pushed a fix to gerrit for review to fix the first issue (Panel: Character) and I'm looking into the other issues as soon as possible.
Comment 3 Commit Notification 2015-05-07 13:59:01 UTC
Niklas Johansson committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0fc79344ce5e057f7c2258a0fe16374fe510745f

tdf#90994 Sidebar tab bar buttons should should have accessible names

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-05-07 13:59:06 UTC
Niklas Johansson committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b4d7f8248496610a508b8edbcd57b9875e68bd81

tdf#90994 The accessible name should not contain the accessible role

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Alex ARNAUD 2016-05-02 14:58:54 UTC
Dear LibreOffice contributor,
I've done a test with LibreOffice 5.1.2 and it works correctly.

Thanks to Niklas Johansson for it great work.